petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdaptCandidateAdd

add a candidate scheme for the adaptive controller to select from

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCandidateAdd(TSAdapt adapt,const char name[],PetscInt order,PetscInt stageorder,PetscReal ccfl,PetscReal cost,PetscBool inuse)

Logically Collective Many br

### Input Arguments

| adapt | - time step adaptivity context, obtained with TSGetAdapt() or TSAdaptCreate() Many br
| name | - name of the candidate scheme to add Many br
| order | - order of the candidate scheme Many br
| stageorder | - stage order of the candidate scheme Many br
| ccfl | - stability coefficient relative to explicit Euler, used for CFL constraints Many br
| cost | - relative measure of the amount of work required for the candidate scheme Many br
| inuse | - indicates that this scheme is the one currently in use, this flag can only be set for one scheme Many br

### Note

This routine is not available in Fortran. Many br

Many br

### See Also

TSAdaptCandidatesClear(), TSAdaptChoose()

Level:developer
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages